HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::DSetMemXferPropList Class Reference

`#include <H5DxferProp.h>`

Inheritance diagram for H5::DSetMemXferPropList:

List of all members.

## Public Member Functions
| DSetMemXferPropList ()
| Default constructor: creates a stub dataset memory and transfer property list object.
void | setBuffer (size_t size, void *tconv, void *bkg) const
| Sets type conversion and background buffers.
size_t | getBuffer (void **tconv, void **bkg) const
| Reads buffer settings.
void | setBtreeRatios (double left, double middle, double right) const
| Sets B-tree split ratios for a dataset transfer property list.
void | getBtreeRatios (double &left, double &middle, double &right) const
| Gets B-tree split ratios for a dataset transfer property list.
void | setPreserve (bool status) const
| Sets the dataset transfer property list status to true or false.
bool | getPreserve () const
| Checks status of the dataset transfer property list.
void | setVlenMemManager (H5MM_allocate_t alloc, void *alloc_info, H5MM_free_t free, void *free_info) const
| Sets the memory manager for variable-length datatype allocation.
void | setVlenMemManager () const
| Sets the memory manager for variable-length datatype allocation - system `malloc` and `free` will be used.
void | getVlenMemManager (H5MM_allocate_t &alloc, void **alloc_info, H5MM_free_t &free, void **free_info) const
| Gets the memory manager for variable-length datatype allocation.
void | setMulti (const hid_t *memb_dxpl)
| Sets the data transfer property list for the multi-file driver.
void | getMulti (hid_t *memb_dxpl)
| Returns multi-file data transfer property list information.
void | setSmallDataBlockSize (hsize_t size)
| Sets the size of a contiguous block reserved for small data.
hsize_t | getSmallDataBlockSize ()
| Returns the current small data block size setting.
void | setHyperVectorSize (size_t vector_size)
| Sets number of I/O vectors to be read/written in hyperslab I/O.
size_t | getHyperVectorSize ()
| Returns the number of I/O vectors to be read/written in hyperslab I/O.
void | setEDCCheck (H5Z_EDC_t check)
| Enables or disables error-detecting for a dataset reading process.
H5Z_EDC_t | getEDCCheck ()
| Determines whether error-detection is enabled for dataset reads.
virtual H5std_string | fromClass () const
| DSetMemXferPropList (const DSetMemXferPropList &orig)
| Copy constructor: makes a copy of the original DSetMemXferPropList object.
| DSetMemXferPropList (const hid_t plist_id)
| Creates a DSetMemXferPropList object using the id of an existing DSetMemXferPropList.
virtual | ~DSetMemXferPropList ()
| Noop destructor.
## Static Public Attributes
static const DSetMemXferPropList | DEFAULT
| Constant for default dataset memory and transfer property list.

## Constructor & Destructor Documentation

H5::DSetMemXferPropList::DSetMemXferPropList | ( |  | ) |

Default constructor: creates a stub dataset memory and transfer property list object.

H5::DSetMemXferPropList::DSetMemXferPropList | ( | const DSetMemXferPropList & | original | ) |

Copy constructor: makes a copy of the original DSetMemXferPropList object.

Parameters:

  | original | - IN: Original dataset memory and transfer property list object to copy

H5::DSetMemXferPropList::DSetMemXferPropList | ( | const hid_t | plist_id | ) |

Creates a DSetMemXferPropList object using the id of an existing DSetMemXferPropList.

Parameters:

  | plist_id | - IN: Id of an existing dataset memory and transfer property list

H5::DSetMemXferPropList::~DSetMemXferPropList | ( |  | ) | `[virtual]`

Noop destructor.

## Member Function Documentation

void H5::DSetMemXferPropList::setBuffer | ( | size_t | size,
|  | void * | tconv,
|  | void * | bkg |
| ) |  |  | const

Sets type conversion and background buffers.

Parameters:

  | size | - IN: Size, in bytes, of the type conversion and background buffers
  | tconv | - IN: Pointer to application-allocated type conversion buffer
  | bkg | - IN: Pointer to application-allocated background buffer

Exceptions:

  | H5::PropListIException |

size_t H5::DSetMemXferPropList::getBuffer | ( | void ** | tconv,
|  | void ** | bkg |
| ) |  |  | const

Reads buffer settings.

Parameters:

  | tconv | - IN: Pointer to application-allocated type conversion buffer
  | bkg | - IN: Pointer to application-allocated background buffer

Returns:
  Buffer size, in bytes

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setBtreeRatios | ( | double | left,
|  | double | middle,
|  | double | right |
| ) |  |  | const

Sets B-tree split ratios for a dataset transfer property list.

Parameters:

  | left | - IN: B-tree split ratio for left-most nodes
  | middle | - IN: B-tree split ratio for right-most nodes and lone nodes
  | right | - IN: B-tree split ratio for all other nodes

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::getBtreeRatios | ( | double & | left,
|  | double & | middle,
|  | double & | right |
| ) |  |  | const

Gets B-tree split ratios for a dataset transfer property list.

Parameters:

  | left | - OUT: B-tree split ratio for left-most nodes
  | middle | - OUT: B-tree split ratio for right-most nodes and lone nodes
  | right | - OUT: B-tree split ratio for all other nodes

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setPreserve | ( | bool | status | ) | const

Sets the dataset transfer property list status to true or false.

Parameters:

  | status | - IN: Status to set, true or false

Exceptions:

  | H5::PropListIException |

bool H5::DSetMemXferPropList::getPreserve | ( |  | ) | const

Checks status of the dataset transfer property list.

Returns:
  Status of the dataset transfer property list

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setVlenMemManager | ( | H5MM_allocate_t | alloc_func,
|  | void * | alloc_info,
|  | H5MM_free_t | free_func,
|  | void * | free_info |
| ) |  |  | const

Sets the memory manager for variable-length datatype allocation.

Parameters:

  | alloc_func | - IN: User's allocate routine
  | alloc_info | - IN: User's allocation parameters
  | free_func | - IN: User's free routine
  | free_info | - IN: User's free parameters

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setVlenMemManager | ( |  | ) | const

Sets the memory manager for variable-length datatype allocation - system `malloc` and `free` will be used.

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::getVlenMemManager | ( | H5MM_allocate_t & | alloc_func,
|  | void ** | alloc_info,
|  | H5MM_free_t & | free_func,
|  | void ** | free_info |
| ) |  |  | const

Gets the memory manager for variable-length datatype allocation.

Parameters:

  | alloc_func | - OUT: User's allocate routine
  | alloc_info | - OUT: User's allocation parameters
  | free_func | - OUT: User's free routine
  | free_info | - OUT: User's free parameters

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setMulti | ( | const hid_t * | memb_dxpl | ) |

Sets the data transfer property list for the multi-file driver.

Parameters:

  | memb_dxpl | - OUT: Array of data access property lists

Exceptions:

  | H5::PropListIException |

Description
  This function can only be used after the member map has been set with FileAccPropList::setMulti (not done - BMR.)

void H5::DSetMemXferPropList::getMulti | ( | hid_t * | memb_dxpl | ) |

Returns multi-file data transfer property list information.

Parameters:

  | memb_dxpl | - OUT: Array of data access property lists

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setSmallDataBlockSize | ( | hsize_t | size | ) |

Sets the size of a contiguous block reserved for small data.

Parameters:

  | size | - IN: Maximum size, in bytes, of the small data block.

Exceptions:

  | H5::PropListIException |

Description
  For detail, please refer to the C layer Reference Manual at: ../RM_H5P.html::Property-SetSmallData

hsize_t H5::DSetMemXferPropList::getSmallDataBlockSize | ( |  | ) |

Returns the current small data block size setting.

Returns:
  Size of the small data block, in bytes

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setHyperVectorSize | ( | size_t | vector_size | ) |

Sets number of I/O vectors to be read/written in hyperslab I/O.

Exceptions:

  | H5::PropListIException |

Description
  For information, please refer to the C layer Reference Manual at: ../RM_H5P.html::Property-SetHyperVectorSize

size_t H5::DSetMemXferPropList::getHyperVectorSize | ( |  | ) |

Returns the number of I/O vectors to be read/written in hyperslab I/O.

Returns:
  Number of I/O vectors

Exceptions:

  | H5::PropListIException |

void H5::DSetMemXferPropList::setEDCCheck | ( | H5Z_EDC_t | check | ) |

Enables or disables error-detecting for a dataset reading process.

Parameters:

  | check | - IN: Specifies whether error detection is enabled or disabled

Exceptions:

  | H5::PropListIException |

Description
  The error detection algorithm used is the algorithm previously specified in the corresponding dataset creation property list. This function does not affect the use of error detection in the writing process.

  Valid values are as follows:
  - `H5Z_ENABLE_EDC` (default)
  - `H5Z_DISABLE_EDC`

H5Z_EDC_t H5::DSetMemXferPropList::getEDCCheck | ( |  | ) |

Determines whether error-detection is enabled for dataset reads.

Returns:
  `H5Z_ENABLE_EDC` or `H5Z_DISABLE_EDC`

Exceptions:

  | H5::PropListIException |

virtual H5std_string H5::DSetMemXferPropList::fromClass | ( |  | ) | const`[inline, virtual]`

Reimplemented from H5::PropList.

## Member Data Documentation

const DSetMemXferPropList H5::DSetMemXferPropList::DEFAULT`[static]`

Constant for default dataset memory and transfer property list.

Reimplemented from H5::PropList.